%define	module	amqplib

Summary:	Python AMQP (Advanced Message Queuing Protocol) client library
Name:		python-%{module}
Version:	1.0.2
Release:	%mkrel 22
License:	LGPLv2.1
Group:		Development/Python
Url:		https://pypi.org/project/amqplib/
Source0:	https://pypi.python.org/packages/source/a/amqplib/%{module}-%{version}.tgz
Patch0:		amqplib-1.0.2-add-python3-support.patch
BuildArch:	noarch

%description
amqplib is a Python client library that supports the 0-8 AMQP
(Advanced Message-Queuing Protocol) spec.

%package -n python3-%{module}
Summary:        Client library for AMQP
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Client library for AMQP (Advanced Message Queuing Protocol)

Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
and Python's 2.4 up to 3.2

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc CHANGES README TODO

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files amqplib

%check
cd tests/client_0_8
nosetests-%{python3_version} run_all.py


%changelog
* Fri Dec 08 2023 papoteur <papoteur> 1.0.2-22.mga10
+ Revision: 2015786
- rebuild for python 3.12

* Sun Sep 25 2022 neoclust <neoclust> 1.0.2-21.mga9
+ Revision: 1892243
- Add Python3 support ( 2to3 ran on the code)

* Thu Mar 24 2022 umeabot <umeabot> 1.0.2-20.mga9
+ Revision: 1825136
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.2-19.mga9
+ Revision: 1785823
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 1.0.2-18.mga9
+ Revision: 1733708
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.0.2-17.mga9
+ Revision: 1733280
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-16.mga8
+ Revision: 1532158
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.0.2-15.mga8
+ Revision: 1441755
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.0.2-14.mga7
+ Revision: 1351003
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-13.mga7
+ Revision: 1288236
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.2-12.mga7
+ Revision: 1135304
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.2-11.mga6
+ Revision: 970782
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.0.2-10.mga6
+ Revision: 888346
- Rebuild for new python3 (3.5.x)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 738961
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.2-8.mga5
+ Revision: 728042
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 687881
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.2-6.mga5
+ Revision: 629721
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.2-5.mga5
+ Revision: 628452
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 546136
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.0.2-3.mga4
+ Revision: 502201
- fix file list, add Python 3
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 joequant <joequant> 1.0.2-1.mga4
+ Revision: 467532
- update to 1.0.2

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 378454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.0.0-1.mga3
+ Revision: 313356
- imported package python-amqplib


* Fri Aug 05 2011 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2012.0
+ Revision: 693343
- Update to 1.0.0.

* Sun Nov 07 2010 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 594848
- import python-amqplib


